<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class c_template_bas_pertama_agama extends CI_Controller {

    function index() {
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); 
        }
    }

    function popup_bas_pertama(){
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $segment = $this->uri->segment_array();
        $data['enc']=$this->uri->segment('3'); 
		$idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $data['encjadwalsidang']=$this->uri->segment('4');
        $idsidang=$this->encrypt->decode(base64_decode($data['encjadwalsidang']));
        if(!is_numeric($idsidang) OR !intval($idsidang)>0){
            show_404();
            exit();
        }        
        
        $this->load->model('generate_template/m_template_bas_pertama_agama','template');
        $data['penandatangan']=$this->template->getDataPA();
        $cek_sidang= $this->template->cek_sidang($idperkara, $idsidang);
        foreach ( $cek_sidang->result() as $row) {
            $urutan = $row->ke;
            $hadir = $row->hadir;
            if(empty($row->id_kuasa)){
                $kuasa="T";
            }else{
                $kuasa="Y";
            }
        }
        if($hadir==1){
           $nomor=7;
		}elseif($hadir==2){
            $nomor=3;
        }elseif($hadir==3){
            if($kuasa=="Y"){
                $nomor=2;
            }else{
                $nomor=4;
            }
        }elseif($hadir==4){
            if($kuasa=="Y"){
                $nomor=6;
            }else{
                $nomor=1;
            }
        }

        $data['blangko_bas_pertama_agama']=$this->template->blangko_bas_pertama_agama($nomor);

        $this->load->view('generate_template/peradilan_agama/popup_bas_pertama_agama', $data, FALSE);        
    }

	function cetak_bas_pertama_agama(){  
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $data['enc']=$this->input->post('enc',TRUE);
		$idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }
        $data['encjadwalsidang']=$this->input->post('encjadwalsidang',TRUE);
        $data['idjadwal']=$this->encrypt->decode(base64_decode($data['encjadwalsidang']));        
        if(!is_numeric($data['idjadwal']) OR !intval($data['idjadwal'])>0){            
            show_404();
            exit();
        }           
        $data['blangko_bas_pertama_agama'] = $this->input->post('blangko_bas_pertama_agama',TRUE);
		$filenya="peradilan_agama/bas/pertama/".$data['blangko_bas_pertama_agama'].".rtf";
		$data_id=array(
                    'source_file'=>$filenya,
                    'perkara_id'=>$idperkara,
					'jadwal_sidang_id'=> $data['idjadwal']);  

        $this->load->model('generate_template/var_template_agama','var_template');
        $this->var_template->kirim_variabel($data_id);  
		
       /*  $this->load->model('generate_template/m_template_bas_pertama_agama','template');
        $data['dataperkara'] = $this->template->getDataPerkara($idperkara);
        $data['datapengadilan'] = $this->template->getDataPA();
        $data['datapenetapanpanitera']=$this->template->getDataPenetapanPanitera($idperkara);
        $data['datapenetapanhakim']=$this->template->getDataPenetapanHakim($idperkara);
        $data['datapaniterapengganti']=$this->template->getDataPP($idperkara);
        $data['datapersidangan']=$this->template->getDataSidang($idperkara);
        $data['datamediator']=$this->template->getDataMediator($idperkara);
        $data['dataputusanverstek']=$this->template->getDataPutusanVerstek($idperkara);
        $data['dataputusansela']=$this->template->getDataPutusanSela($idperkara);
        $data['dataPihak1']=$this->template->get_data_pihak_loop($idperkara,1);
        $data['dataPihak2']=$this->template->get_data_pihak_loop($idperkara,2);
        $data['dataPihak3']=$this->template->get_data_pihak_loop($idperkara,3);
        $data['dataPihak4']=$this->template->get_data_pihak_loop($idperkara,4);
        $data['dataPengacaraPihak1']=$this->template->get_data_pengacara($idperkara,1);
        $data['dataPengacaraPihak2']=$this->template->get_data_pengacara($idperkara,2);        
        $data['dataPengacaraPihak3']=$this->template->get_data_pengacara($idperkara,3);        
        
        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');        
        $this->load->view('generate_template/peradilan_agama/cetak_bas_pertama_agama',$data,FALSE); */
    }
	
	
   

}
?>